Summary:	A hierarchical note taking application
Summary(pl.UTF-8):	Hierarchiczna aplikacja do robienia notatek
Name:		cherrytree
Version:	1.1.2
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://www.giuspen.com/software/%{name}_%{version}.tar.xz
# Source0-md5:	480f3a4025eed1e55dbad64119f864c2
URL:		https://www.giuspen.com/cherrytree/
BuildRequires:	curl-devel
BuildRequires:	gspell-devel
BuildRequires:	gtkmm3-devel
BuildRequires:	gtksourceviewmm3-devel
BuildRequires:	libfmt-devel
BuildRequires:	libxml++2-devel
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	shared-mime-info
BuildRequires:	spdlog-devel >= 1:1.8.1
BuildRequires:	uchardet-devel
BuildRequires:	vte-devel
Requires:	gspell
Requires:	gtksourceviewmm3
Requires:	libfmt
Requires:	libxml++2
Requires:	shared-mime-info
Requires:	spdlog >= 1:1.8.1
Suggests:	p7zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A hierarchical note taking application, featuring rich text and syntax
highlighting, storing all the data (including images) in a single xml
file with extension ".ctd".

%description -l pl.UTF-8
Hierarchiczna aplikacja do notatek, wspierająca tekst sformatowany i
wyróżnianie składni, przechowująca wszystkie dane (w tym obrazy) w
jednym pliku XML z rozszerzeniem „.ctd”.

%prep
%setup -q -n %{name}_%{version}

%build
install -d build
cd build
%cmake .. \
	-DMAKE_BUILD_TYPE=Release \
	-DBUILD_TESTING=OFF

%{__make} cherrytree

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

## Remove old mime registration files
%{__rm} $RPM_BUILD_ROOT%{_datadir}/mime-info/cherrytree.*

## Remove unsupported locale
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hi_IN,kk_KZ,kk_LA}

%find_lang %{name}

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog.txt license.txt
%attr(755,root,root) %{_bindir}/cherrytree
%{_datadir}/metainfo/net.giuspen.cherrytree.metainfo.xml
%{_desktopdir}/cherrytree.desktop
%{_datadir}/cherrytree/
%{_iconsdir}/hicolor/scalable/apps/cherrytree.svg
%{_mandir}/man1/cherrytree.1*
%changelog
* Fri Apr 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cherrytree.git;a=log;h=master

* Fri Apr 05 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e3d5a79
- up to 1.1.2

* Wed Apr 03 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8c2af2b
- up to 1.1.1

* Thu Mar 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 99d42eb
- up to 1.1.0

* Sun Dec 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6138104
- up to 1.0.4

* Sun Dec 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8d5607e
- up to 1.0.3

* Wed Sep 27 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0bea1a2
- up to 1.0.2

* Fri Aug 25 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1b438de
- up to 1.0.1

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> bba3859
- release 2 (libfmt 10, spdlog 1.12)

* Mon Jul 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cd144ce
- up to 1.0.0

* Fri Jun 23 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2857c69
- up to 0.99.56

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8047773
- BR: vte-devel

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 423fad1
- up to 0.99.55

* Tue Jan 31 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0857dc0
- up to 0.99.54

* Mon Dec 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4970999
- up to 0.99.53

* Fri Nov 25 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 15fe93e
- up to 0.99.52

* Sun Oct 23 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 42354f5
- up to 0.99.51

* Mon Oct 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b8f5901
- up to 0.99.50

* Mon Sep 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e4f7e06
- up to 0.99.49

* Thu Sep 01 2022 Jan Palus <atler@pld-linux.org> c821bb7
- libfmt rebuild

* Wed Jun 29 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5adc314
- up to 0.99.48

